%define module RPM-Source-Editor

Name: perl-%module
Version: 0.60
#Release: alt1
Release: alt0.M51.1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: RPM::Specfile - Perl extension for creating RPM Specfiles
Group: Development/Perl
License: GPL or Artistic
Source: http://www.cpan.org/modules/by-module/RPM/%module-%version.tar.gz
Url: http://search.cpan.org/dist/%module

# due to rpmbuild -bE
# Recommends: rpm-build

# Automatically added by buildreq on Wed Nov 06 2002
BuildRequires: perl-devel /usr/bin/pod2man perl-RPM

%description
This is a simple module for creation of RPM Spec files.

%package -n hashertarbuild
Group: Development/Other
Summary: a tool to create source tarballs for hasher
Requires: %name = %version-%release

%description -n hashertarbuild
A tool to create rpm-based source tarballs for hasher.
Sometimes rpmbuild -bs --nodeps does not work due to macros abcent. 
Use hashertarbuild <spec> to create source tarball ready for hasher.

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

install -m755 -D hashertarbuild %buildroot%_bindir/hashertarbuild
for i in hashertarbuild; do
    pod2man  --name $i --center 'hashertarbuild' --section 1 --release %version $i > $i.1
done

mkdir -p %buildroot%_man1dir
install -m 644 *.1 %buildroot%_man1dir/

%files
%doc Changes
#doc README
%_bindir/srpm*
%perl_vendor_privlib/RPM*
#perl_vendor_man3dir/*

%files -n hashertarbuild
%_bindir/hashertarbuild
%_man1dir/hashertarbuild*

%changelog
* Thu Mar 10 2011 Igor Vlasenko <viy@altlinux.ru> 0.60-alt0.M51.1
- backport

* Thu Mar 10 2011 Igor Vlasenko <viy@altlinux.ru> 0.60-alt1
- new version

* Tue Mar 01 2011 Igor Vlasenko <viy@altlinux.ru> 0.59-alt0.M51.1
- backport

* Tue Mar 01 2011 Igor Vlasenko <viy@altlinux.ru> 0.59-alt1
- new version

* Mon Jan 10 2011 Igor Vlasenko <viy@altlinux.ru> 0.58-alt2.M51.1
- backport

* Mon Jan 10 2011 Igor Vlasenko <viy@altlinux.ru> 0.58-alt3
- bugfix

* Mon Jan 10 2011 Igor Vlasenko <viy@altlinux.ru> 0.58-alt1.M51.1
- backport

* Mon Jan 10 2011 Igor Vlasenko <viy@altlinux.ru> 0.58-alt2
- bugfix 

* Mon Jan 10 2011 Igor Vlasenko <viy@altlinux.ru> 0.58-alt0.M51.1
- backport

* Sun Jan 09 2011 Igor Vlasenko <viy@altlinux.ru> 0.58-alt1
- added hashertarbuild subpackage

* Tue Dec 21 2010 Igor Vlasenko <viy@altlinux.ru> 0.57-alt3
- snapshot

* Fri Dec 17 2010 Igor Vlasenko <viy@altlinux.ru> 0.57-alt2
- snapshot

* Fri Dec 17 2010 Igor Vlasenko <viy@altlinux.ru> 0.57-alt0.M51.2
- backport

* Thu Dec 16 2010 Igor Vlasenko <viy@altlinux.ru> 0.57-alt0.M51.1
- backport

* Thu Dec 16 2010 Igor Vlasenko <viy@altlinux.ru> 0.57-alt1
- snapshot; new set of command-line options

* Tue Dec 14 2010 Igor Vlasenko <viy@altlinux.ru> 0.56-alt3
- snapshot

* Mon Dec 06 2010 Igor Vlasenko <viy@altlinux.ru> 0.56-alt2
- common utils module release

* Mon Nov 29 2010 Igor Vlasenko <viy@altlinux.ru> 0.56-alt1
- added common module for utils

* Sun Nov 21 2010 Igor Vlasenko <viy@altlinux.ru> 0.55-alt3
- rebuild w/new perl

* Thu Nov 04 2010 Igor Vlasenko <viy@altlinux.ru> 0.55-alt2
- srpmnmu script synced with srpmconvert

* Tue Oct 05 2010 Igor Vlasenko <viy@altlinux.ru> 0.55-alt1
- new version, see Changes

* Tue Sep 28 2010 Igor Vlasenko <viy@altlinux.ru> 0.54-alt1
- new version, see Changes

* Thu Apr 15 2010 Igor Vlasenko <viy@altlinux.ru> 0.53-alt1
- new version, see Changes

* Tue Mar 16 2010 Igor Vlasenko <viy@altlinux.ru> 0.52-alt3.M51.1
- M51 backport

* Tue Mar 16 2010 Igor Vlasenko <viy@altlinux.ru> 0.52-alt4
- srpmbackport, srpmnmu:
  * synced
  * added --tag option
  * added --inplace option.

* Mon Mar 15 2010 Igor Vlasenko <viy@altlinux.ru> 0.52-alt2.M51.1
- M51 backport

* Mon Mar 15 2010 Igor Vlasenko <viy@altlinux.ru> 0.52-alt3
- updated srpmnmu utility

* Wed Feb 10 2010 Igor Vlasenko <viy@altlinux.ru> 0.52-alt2
- updated srpmbackport utility

* Tue Nov 10 2009 Igor Vlasenko <viy@altlinux.ru> 0.52-alt1
- new version, see Changes

* Tue Nov 03 2009 Igor Vlasenko <viy@altlinux.ru> 0.51-alt1
- new version, see Changes

* Mon Nov 02 2009 Igor Vlasenko <viy@altlinux.ru> 0.50-alt1
- new version, see Changes

* Sun Nov 01 2009 Igor Vlasenko <viy@altlinux.ru> 0.49-alt1
- new version, see Changes

* Fri Oct 30 2009 Igor Vlasenko <viy@altlinux.ru> 0.48-alt1
- new version, see Changes

* Wed Jul 22 2009 Igor Vlasenko <viy@altlinux.ru> 0.47-alt2
- fixed #20681

* Mon May 18 2009 Igor Vlasenko <viy@altlinux.ru> 0.47-alt1
- new version

* Mon Mar 30 2009 Igor Vlasenko <viy@altlinux.ru> 0.46-alt2
- fixed #19320

* Sat Mar 14 2009 Igor Vlasenko <viy@altlinux.ru> 0.46-alt1
- new version, see Changes

* Fri Feb 06 2009 Igor Vlasenko <viy@altlinux.ru> 0.45-alt1
- added srpmnmu and srpmbackport scripts

* Sun Jan 04 2009 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1
- new version, see Changes

* Sat Jan 03 2009 Igor Vlasenko <viy@altlinux.ru> 0.43-alt1
- new version

* Sat Jan 03 2009 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1
- new version

* Sun Dec 07 2008 Igor Vlasenko <viy@altlinux.ru> 0.41-alt1
- new version

* Wed Dec 03 2008 Igor Vlasenko <viy@altlinux.ru> 0.40-alt1
- new version

* Sun Nov 23 2008 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1
- new version

* Wed Nov 19 2008 Igor Vlasenko <viy@altlinux.ru> 0.38-alt1
- new version

* Sat Nov 15 2008 Igor Vlasenko <viy@altlinux.ru> 0.37-alt1
- new version

* Tue Oct 07 2008 Igor Vlasenko <viy@altlinux.ru> 0.36-alt1
- new version

* Fri Sep 12 2008 Igor Vlasenko <viy@altlinux.ru> 0.35-alt1
- new version

* Mon Sep 08 2008 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1
- new version

* Fri Sep 05 2008 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1
- new version

* Wed Jul 02 2008 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1
- new version

* Fri Jun 13 2008 Igor Vlasenko <viy@altlinux.ru> 0.31-alt1
- new version

* Wed Jun 11 2008 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1
- merged Convert::JPackage2ALT 

* Wed Jun 04 2008 Igor Vlasenko <viy@altlinux.ru> 0.29-alt1
- added support for /usr/sbin/alternatives

* Mon May 26 2008 Igor Vlasenko <viy@altlinux.ru> 0.28-alt1
- RPM macro substitution moved to RPM/Source/Macros.pm

* Sun May 25 2008 Igor Vlasenko <viy@altlinux.ru> 0.27-alt1
- new version (minor API changes)
- code migration from jppimport

* Mon Apr 21 2008 Igor Vlasenko <viy@altlinux.ru> 0.26-alt1
- changelog is now optional
- diff changes

* Mon Apr 21 2008 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1
- new version

* Sat Mar 29 2008 Igor Vlasenko <viy@altlinux.ru> 0.24-alt1
- First build for Sisyphus.
